# frozen_string_literal: true

class PdfviewerComponent < ViewComponent::Base
  attr_reader :document

  def initialize(document:, doc_download_url: nil)
    @document = document
    @download_url = doc_download_url || "/documents/#{document.id}/upload?mode=attachment"

    super
  end

  def src
    document.public_file_url
  end
end
