Feature: Favorites

  Scenario: Counts categories
    Given I am a logged in admin
    And There is some docs to count
    When I visit the url /spirit_hub
    Then I should see the right counts
    When I click on the first category
    Then The url is /spirit_hub/to_classify
    When I visit the url /spirit_hub
    And I click on the second category
    Then The url is /spirit_hub/todos

  Scenario: Right colums
    Given I am a logged in admin
    And There is one favorites with all columns
    When I visit the url /spirit_hub
    Then I should see the right columns

  Scenario: Sort
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    And I click on the title sort
    Then The table is sorted by title desc
    When I click on the title sort
    Then The table is sorted by title asc
    When I click on the status sort
    Then The table is sorted by status asc
    When I click on the status sort
    Then The table is sorted by status desc

  Scenario: Per page and pagination
    Given I am a logged in admin
    And There is a lot of docs and tagset
    When I visit the url /spirit_hub
    And I select "5" per page
    Then I am on page 1 and i see 8 pages
    When I go to page 5
    Then I am on page 5 and i see 8 pages
    And I select "20" per page
    Then I am on page 1 and i see 2 pages

  Scenario: Journal entries
    Given I am a logged in admin
    And There is a doc with journal_entries and a tagset without journal_entries
    When I visit the url /spirit_hub
    And I click on the journal_entries button on the doc
    Then I should see the doc journal_entries
    When I click outside the journal_entries
    Then I should not see the doc journal_entries
    When I click on the journal_entries button on the tagset
    Then I should see the tagset journal_entries
    When I click on the close log button
    Then I should not see the tagset journal_entries

  Scenario: Colums selector
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    Then I see "9" columns
    When I remove the title column
    Then I see "8" columns
    When I readd the title column
    Then I see "9" columns

  Scenario: View selector
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    And I click on the grid view button
    Then I see the grid view
    When I click on the table view button
    Then I see the table view

  Scenario: Remove from favorite
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    And I remove the first and last element from favorite
    Then The favorites are removed
    When I click on the grid view button
    And I remove the first and last element from favorite in the grid view
    And I click on the table view button
    Then The other favorites are removed

  Scenario: Go to doc_view
    Given I am a logged in admin
    And There is one tagset_doc with file
    When I visit the url /spirit_hub
    And I click on the first doc view link
    Then I should be on the doc_view page
    When I visit the url /spirit_hub
    And I click on the grid view button
    And I click on the first doc view link
    Then I should be on the doc_view page

  Scenario: Go to directory_view
    Given I am a logged in admin
    And There is one taget_directory
    When I visit the url /spirit_hub
    And I click on the first directory view link
    Then I should be on the directory_view page
    When I visit the url /spirit_hub
    And I click on the grid view button
    And I click on the first directory view link
    Then I should be on the directory_view page

  Scenario: Remove
    Given I am a logged in admin
    And There is some docs
    When I visit the url /spirit_hub
    Then I can remove element "with_grid"

  Scenario: Can share
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    Then I can share "with grid"

  Scenario: Can add doc
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    And I add a doc without directory
    Then I should see the to cagtegorize count increase

  Scenario: Can classify
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    Then I can classify "with grid"

  Scenario: Can make tagset done
    Given I am a logged in admin
    And There is some docs and tagset
    When I visit the url /spirit_hub
    Then I can make tagset done "with grid"

  Scenario: Can validate
    Given I am a logged in admin
    And There is a doc to validate on my favorites page
    When I visit the url /spirit_hub
    Then I can validate "with grid"