# frozen_string_literal: true

require 'faker'

FactoryBot.define do
  factory :completeness, class: 'SpiritHub::Completeness' do
    trait :completed do
      completed { true }

      before(:create) do |completeness|
        doc = create(:doc)
        completeness.object_ids = [doc.id]
      end
    end
  end
end
