module.exports = {
  content: ['./app/**/*.{html,erb,haml}', './app/helpers/**/*.rb', './app/assets/javascripts/**/*.{js,ts}'],
  theme: {
    extend: {
      colors: {
        primary: '#00263c',
        secondary: '#4C1D95',
        white: '#FFFFFF',
        black: '#000000',
        spirit: {
          red: '#e12b4a',
          green: '#27c590',
          blue: '#2e98e9',
          lightgray: '#606266',
          lightblue: '#B3BEC5',
          gray: '#4D6877',
          brigthred: '#e20026',
          orange: '#F79009',
        },
      },
      boxShadow: {
        custom: '0px 8px 20px rgba(0, 0, 0, 0.04), 0px 12px 32px 4px rgba(0, 0, 0, 0.04)',
      },
    },
  },
  safelist: ['bg-spirit-orange', 'bg-spirit-red', 'bg-spirit-green', 'text-spirit-orange', 'text-spirit-red', 'text-spirit-green'],
  plugins: [],
};
