# frozen_string_literal: true

class DocviewerComponent < ViewComponent::Base
  def initialize(doc:, doc_download_url: nil)
    super
    @pages = doc.pages_urls
    @disable_pagination = @pages.size <= 1
    @download_url = doc_download_url || "/documents/#{doc.id}/upload?mode=attachment"
  end
end
