# frozen_string_literal: true

module SpiritHub
  module TagsetsHelper
    def tagset_doc_complete_name(tagset)
      tagset_title = tagset.title
      tagset_docs_titles = tagset.docs.map(&:title).join(', ')

      if tagset_title == tagset_docs_titles
        tagset_title
      else
        "#{tagset_title} (#{tagset_docs_titles})"
      end
    end
  end
end
