Feature: Errors

  Scenario: Page not found wild card
    Given I am a logged in admin
    When I visit the url /spirit_hub/blablabla
    Then I should see the 404 page

  Scenario: Page not found
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error?code=404
    Then I should see the 404 page

  Scenario: Page unauthorized
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error?code=403
    Then I should see the 403 page

  Scenario: Page error server
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error?code=500
    Then I should see the 500 page

  Scenario: Turbo 500 error
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error
    When I generate a 500 error
    Then I should see the 500 notification

  Scenario: Turbo 403 error
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error
    When I generate a 403 error
    Then I should see the 403 notification

  Scenario: Turbo 404 error
    Given I am a logged in admin
    When I visit the url /spirit_hub/generate_error
    When I generate a 404 error
    Then I should see the 404 notification