Feature: Evaluate modal

  Scenario: Validate no action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the validate button
    And I fill the form
    And I submit the form
    Then The doc status is "Validé"

  Scenario: Validate Chained Share action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the validate button
    And I fill the form
    And I select the action "Partager"
    And I submit the form
    Then The doc status is "Validé"
    And The modal with the title contains "Partager"

  Scenario: Validate Chained Classify action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the validate button
    And I fill the form
    And I select the action "Classer"
    And I submit the form
    Then The doc status is "Validé"
    And The modal with the title contains "Classer"

  Scenario: Validate Chained Done action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the validate button
    And I fill the form
    And I select the action "Fin de traitement"
    And I submit the form
    Then The doc status is "Traité"

  Scenario: Refuse no action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the refuse button
    And I fill the form
    And I submit the form
    Then The doc status is "Refusé"

  Scenario: Refuse Chained Share action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the refuse button
    And I fill the form
    And I select the action "Partager"
    And I submit the form
    Then The doc status is "Refusé"
    And The modal with the title contains "Partager"

  Scenario: Refuse Chained Classify action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the refuse button
    And I fill the form
    And I select the action "Classer"
    And I submit the form
    Then The doc status is "Refusé"
    And The modal with the title contains "Classer"

  Scenario: Refuse Chained Done action
    Given I am a logged in admin
    And There is a directory with some docs to validate
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the refuse button
    And I fill the form
    And I select the action "Fin de traitement"
    And I submit the form
    Then The doc status is "Traité"